NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.LoftedFlangeBuilder Class Reference

Represents a Lofted Flange feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.LoftedFlangeBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  SectionSideOptions { Left, Right }
 This enum represents the side of the section that the lofted flange creates thickness. More...
 

Public Member Functions

unsafe NXOpen.Expression GetThickness ()
 The thickness of base lofted flange. More...
 
unsafe void SetThickness (string thickness)
 The thickness of base lofted flange. More...
 
unsafe int ValidateBuilderData ()
 Verify user data validity. More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.SheetMetal.BendOptions 
BendOptions [get]
 Returns the bend options object. More...
 
unsafe NXOpen.Section EndSection [get, set]
 Returns or sets the end section of the lofted flange. More...
 
unsafe NXOpen.Point3d EndSectionPoint [get, set]
 Returns or sets the start/end point of the end section. More...
 
unsafe
NXOpen.Features.SketchFeature 
EndSketch [get, set]
 Returns or sets the end section sketch as slave. More...
 
unsafe NXOpen.Expression IndexMarkLength [get]
 Returns the index mark length Get the index mark length expression If use segmented bends is set to true the only the index mark length value is used for dividing the bend even though a value is set Index mark length value only gets reflected in flat pattern view More...
 
unsafe bool IsSecondary [get, set]
 Returns or sets the type of lofted flange feature - base lofted flange/secondary lofted flange. More...
 
unsafe int NumberOfBendSegments [get, set]
 Returns or sets the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set More...
 
unsafe NXOpen.Section StartSection [get, set]
 Returns or sets the start section of the lofted flange. More...
 
unsafe NXOpen.Point3d StartSectionPoint [get, set]
 Returns or sets the start/end point of the start section. More...
 
unsafe
NXOpen.Features.SketchFeature 
StartSketch [get, set]
 Returns or sets the start section sketch as slave. More...
 
unsafe
NXOpen.Features.SheetMetal.LoftedFlangeBuilder.SectionSideOptions 
ThicknessSide [get, set]
 Returns or sets the thickness side of base lofted flange. More...
 
unsafe bool UseSegmentedBends [get, set]
 Returns or sets the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Lofted Flange feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateLoftedFlangeFeatureBuilder

Default values.

Property Value

IndexMarkLength.Value

5 (millimeters part), 0.5 (inches part)

NumberOfBendSegments

0

UseSegmentedBends

0

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the side of the section that the lofted flange creates thickness.

The "left" option represents the side to the left of a person who is walking along the section in the direction of its curves when the section normal is pointing up. The "right" option represents the person's right hand side. This interpretation is the same regardless of whether the section is open or closed. The "right" side at any point along the section can also be represented by the vector resulting from the cross product of the curve tangent (of the section curve at that point) and the section normal. The "left" side is the opposite.

Enumerator
Left 

Side pointed to by the inverse of the tangent cross normal vector

Right 

Side pointed to by the tangent cross normal vector

Member Function Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LoftedFlangeBuilder.GetThickness ( )
inline

The thickness of base lofted flange.

Applicable only for Base lofted flange. Ignored for a Secondary Lofted Flange.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe void NXOpen.Features.SheetMetal.LoftedFlangeBuilder.SetThickness ( string  thickness)
inline

The thickness of base lofted flange.

Applicable only for Base lofted flange. Ignored for a Secondary Lofted Flange.

Created in NX4.0.0

Deprecated in NX10.0.0. Use Expression.RightHandSide on the Expression object returned from Features.SheetMetal.LoftedFlangeBuilder.GetThickness instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
thickness
unsafe int NXOpen.Features.SheetMetal.LoftedFlangeBuilder.ValidateBuilderData ( )
inline

Verify user data validity.

If the data is valid, returned value should be 0.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
Data Validity Flag.

Property Documentation

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.LoftedFlangeBuilder.BendOptions
get

Returns the bend options object.

Get the bend options object which is created while creating builder. Then set values to parameters of bend options object(like bend radius, bend relief type etc.) using set methods of bend options object.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.LoftedFlangeBuilder.EndSection
getset

Returns or sets the end section of the lofted flange.

The section profile should be open looped.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Point3d NXOpen.Features.SheetMetal.LoftedFlangeBuilder.EndSectionPoint
getset

Returns or sets the start/end point of the end section.

It can be start/end point of the section profile.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.LoftedFlangeBuilder.EndSketch
getset

Returns or sets the end section sketch as slave.

Set the sketch which is used to create end section. This is only used when the section is created from sketch. If the section is created from edges or if the end sketch is not required to be slave, set the value as a null reference (Nothing in Visual Basic) .

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LoftedFlangeBuilder.IndexMarkLength
get

Returns the index mark length Get the index mark length expression If use segmented bends is set to true the only the index mark length value is used for dividing the bend even though a value is set Index mark length value only gets reflected in flat pattern view

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.LoftedFlangeBuilder.IsSecondary
getset

Returns or sets the type of lofted flange feature - base lofted flange/secondary lofted flange.

Specify false for base lofted flanges and true for secondary lofted flanges.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe int NXOpen.Features.SheetMetal.LoftedFlangeBuilder.NumberOfBendSegments
getset

Returns or sets the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.LoftedFlangeBuilder.StartSection
getset

Returns or sets the start section of the lofted flange.

The section profile should be open looped.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Point3d NXOpen.Features.SheetMetal.LoftedFlangeBuilder.StartSectionPoint
getset

Returns or sets the start/end point of the start section.

It can be start/end point of the section profile.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.LoftedFlangeBuilder.StartSketch
getset

Returns or sets the start section sketch as slave.

Set the sketch which is used to create start section. This is only used when the section is created from sketch. If the section is created from edges or start sketch is not required to be slave, set slave sketch as a null reference (Nothing in Visual Basic).

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.LoftedFlangeBuilder.SectionSideOptions NXOpen.Features.SheetMetal.LoftedFlangeBuilder.ThicknessSide
getset

Returns or sets the thickness side of base lofted flange.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.LoftedFlangeBuilder.UseSegmentedBends
getset

Returns or sets the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.